Subject: Re: arch/powerpc/boot/.gitignore questions

From: Randy Dunlap <[email-masked]>
Date: Wed, 10 Sep 2008 14:37:45 -0700

Sean MacLennan wrote:
> On Wed, 10 Sep 2008 12:24:05 -0700
> "Randy Dunlap" <[email-masked]> wrote:
> 
>> Hi,
>>
>> I was looking at the arch/powerpc/boot/.gitignore file.
>> Why are all of those non-local-directory files listed there?
>> E.g., empty.c, inf*.c, inf*.h, zconf.h, zlib.h, zutil.h, etc.

Why would these files be listed in arch/powerpc/boot/.gitignore ??

>> And what is "dtc"?  I see a dtc-src directory, but "dtc" is MIA.
> 
> ./arch/powerpc/boot/dtc

Where do you see that?  That's not in 2.6.27-rc6 nor in the current
powerpc.git tree.  They both have:

> pwd
/var/linsrc/lin2627-rc6/arch/powerpc/boot
> ls -ld dt*
drwxr-xr-x 2 rdunlap users 4096 Jul 13 14:51 dtc-src/
drwxr-xr-x 2 rdunlap users 4096 Sep  9 19:33 dts/

which leads me to believe that the .gitignore entry should be either
dts or dtc-src or both, but not "dtc".

> I believe if the dts is built into u-boot, the dtc is not built.
> 
>> Same for kernel-vmlinux.strip.*
> 
> I don't see a vmlinux.strip.* rule. I ignore vmlinux.strip.

again, where are you looking?
This is in the current arch/powerpc/boot/.gitignore file.

~Randy